# - Try to find the LibKGoogle library
# Once done this will define
#
#  LIBKGOOGLE_FOUND - System has LibKGoogle
#  LIBKGOOGLE_INCLUDE_DIR - The LibKGoogle include directory
#  LIBKGOOGLE_LIBRARY - The library needed to use LibKGoogle
#  LIBKGOOGLE_DEFINITIONS - Compiler switches required for using LibKGoogle
#
# Copyright (c) 2011 Dan Vratil <dan@progdan.cz>
#


IF (LIBKGOOGLE_INCLUDE_DIR AND LIBKGOOGLE_LIBRARY)
   SET(LibKGoogle_FIND_QUIETLY TRUE)
ENDIF (LIBKGOOGLE_INCLUDE_DIR AND LIBKGOOGLE_LIBRARY)

IF (NOT WIN32)
   FIND_PACKAGE(PkgConfig)
   PKG_CHECK_MODULES(PC_LIBKGOOGLE QUIET libkgoogle)
   SET(LIBKGOOGLE_DEFINITIONS ${PC_LIBKGOOGLE_CFLAGS_OTHER})
ENDIF (NOT WIN32)

FIND_PATH(LIBKGOOGLE_INCLUDE_DIR libkgoogle/accessmanager.h
   HINTS
   ${PC_LIBKGOOGLE_INCLUDEDIR}
   ${PC_LIBKGOOGLE_INCLUDE_DIRS}
   PATH_SUFFIXES libkgoogle
   )

FIND_LIBRARY(LIBKGOOGLE_LIBRARY NAMES kgoogle libkgoogle
   HINTS
   ${PC_LIBKGOOGLE_LIBDIR}
   ${PC_LIBKGOOGLE_LIBRARY_DIRS}
   )

INCLUDE(FindPackageHandleStandardArgs)
FIND_PACKAGE_HANDLE_STANDARD_ARGS(LibKGoogle DEFAULT_MSG LIBKGOOGLE_LIBRARY LIBKGOOGLE_INCLUDE_DIR)

MARK_AS_ADVANCED(LIBKGOOGLE_INCLUDE_DIR LIBKGOOGLE_LIBRARY)

